Name:                glassfish-ejb-api
Version:             3.2.2
Release:             1
Summary:             Java EJB 3.2 API Design Specification
License:             CDDL or GPLv2 with exceptions
URL:                 https://java.net/projects/ejb-spec/
Source0:             https://github.com/javaee/javax.ejb/archive/%{version}.tar.gz
Source1:             https://javaee.github.io/glassfish/LICENSE
Patch0:              0001-add-exclude-source-file-to-javadoc-plugin.patch
BuildRequires:       maven-local mvn(javax.transaction:javax.transaction-api)
BuildRequires:       mvn(javax.xml.rpc:javax.xml.rpc-api) mvn(net.java:jvnet-parent:pom:)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires:       mvn(org.glassfish:legal) mvn(org.glassfish.build:spec-version-maven-plugin)
BuildArch:           noarch
%description
Project GlassFish Enterprise JavaBean API.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n javax.ejb-%{version}
cp %{SOURCE1} ./
%patch0 -p1
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :glassfishbuild-maven-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_xpath_remove "pom:Embed-Dependency"
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:configuration/pom:useDefaultManifestFile"
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:configuration" '
<archive>
  <manifestFile>${project.build.outputDirectory}/META-INF/MANIFEST.MF</manifestFile>
</archive>'
%mvn_file : %{name}

%build
%mvn_build --xmvn-javadoc

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Mon Jul 10 2023 Ge Wang <wang__ge@126.com> - 3.2.2-1
- Update to version 3.2.2

* Sat Aug 15 2020 Ge Wang <wangge20@huawei.com> - 3.2-1
- Package init
